package com.cultural.heritage.aop;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/aop")
public class AopController {


    //调用这个方法需要用户具有admin的角色
    @HasRole("admin")
    @GetMapping("query1")
    public String query1() {
        return "query1 需要 admin 角色";
    }

    //调用这个方法需要用户具有user的角色
    @HasRole("user")
    @GetMapping("query2")
    public String query2() {
        return "query2 需要 user 角色";
    }

    // 任何用户都可以访问
    @GetMapping("query3")
    public String query3() {
        return "query3 可以匿名访问";
    }
}
